I've downloaded the stable 1.8.1 release of Ruby. When I attempt to run make
on HP-UX 11.00, I receive the following error:

compiling curses
./ext/extmk.rb:103: warning: Insecure world writable dir /opt/netscape, mode
040777
        gcc -fPIC -g -O2  -I. -I/temp/ruby/ruby-1.8.1 -I/temp/ruby/ruby-1.8.
1 -I/temp/ruby/ruby-1.8.1/ext/curses -DHAVE_CURSES_COLR_CURSES_H -DHAVE_BEEP
 -DHAVE_BKGD -DHAVE_BKGDSET -DHAVE_CURS_SET -DHAVE_DELETELN -DHAVE_DOUPDATE 
-DHAVE_FLASH -DHAVE_GETBKGD -DHAVE_GETNSTR -DHAVE_INIT -DHAVE_ISENDWIN -DHAV
E_KEYNAME -DHAVE_KEYPAD -DHAVE_RESIZETERM -DHAVE_SCRL -DHAVE_SET -DHAVE_SETS
CRREG -DHAVE_UNGETCH -DHAVE_WATTROFF -DHAVE_WATTRON -DHAVE_WATTRSET -DHAVE_W
BKGD -DHAVE_WBKGDSET -DHAVE_WDELETELN -DHAVE_WGETNSTR -DHAVE_WRESIZE -DHAVE_
WSCRL -DHAVE_WSETSCRREG -DHAVE_DEF_PROG_MODE -DHAVE_RESET_PROG_MODE -DHAVE_T
IMEOUT -DHAVE_WTIMEOUT -DHAVE_NODELAY -DHAVE_INIT_COLOR  -c curses.c
        ld -b -E  -L"/temp/ruby/ruby-1.8.1" -L"/usr/local/lib" -o curses.sl
curses.o  -lcur_colr -ltinfo  -ldld -lcrypt -lm   -lc
ld: Can't find library: "tinfo"
*** Error exit code 1

Stop.
*** Error exit code 1



Kevin Hinners
Senior Technical Analyst

FedEx Services
350 Spectrum Loop
Colorado Springs, CO 80921
719-484-2303
kevin.hinners / fedex.com